# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (View Summary)

- default
  - default

- Defined in src/ui/party-ui-handler.ts:148

##### Index

### Constructors

constructor

### Properties

active
awaitingActionInput
cursor
message
mode
onActionInput
optionsContainer
pendingPrompt
prompt
textCallbackTimer
textTimer
tutorialActive
tutorialOverlay
NoEffectMessage

### Methods

clear
clearOptions
clearPartySlots
clearText
clearTransfer
destroy
doRelease
eraseOptionsCursor
getCursor
getFormChangeItemsModifiers
getOptionsCursorWithScroll
getReleaseMessage
getTextColor
getUi
initPromptSprite
initTutorialOverlay
isTextAnimationInProgress
populatePartySlots
processInput
processTutorialInput
setCursor
setMouseCursorStyle
setup
show
showDialogue
showOptions
showPrompt
showText
startTransfer
updateOptions
FilterFainted
FilterItemMaxStacks
FilterNonFainted

## Constructors

### constructor

- new default(): default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/party-ui-handler.ts:262

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### message

message: Text

Inherited from default.message

- Defined in src/ui/message-ui-handler.ts:11

### `Protected` mode

mode: null | number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` onActionInput

onActionInput: null | Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### optionsContainer

optionsContainer: Container

This is only public for test/ui/transfer-item.test.ts

- Defined in src/ui/party-ui-handler.ts:166

### pendingPrompt

pendingPrompt: boolean

Inherited from default.pendingPrompt

- Defined in src/ui/message-ui-handler.ts:9

### prompt

prompt: Sprite

Inherited from default.prompt

- Defined in src/ui/message-ui-handler.ts:12

### `Protected` textCallbackTimer

textCallbackTimer: null | TimerEvent

Inherited from default.textCallbackTimer

- Defined in src/ui/message-ui-handler.ts:8

### `Protected` textTimer

textTimer: null | TimerEvent

Inherited from default.textTimer

- Defined in src/ui/message-ui-handler.ts:7

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

### tutorialOverlay

tutorialOverlay: Rectangle

Inherited from default.tutorialOverlay

- Defined in src/ui/awaitable-ui-handler.ts:10

### `Static` NoEffectMessage

NoEffectMessage: string = ...

- Defined in src/ui/party-ui-handler.ts:242

## Methods

### clear

- clear(): void

  #### Returns void

  Overrides default.clear

  - Defined in src/ui/party-ui-handler.ts:1408

### clearOptions

- clearOptions(): void

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:1386

### clearPartySlots

- clearPartySlots(): void

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:1416

### clearText

- clearText(): void

  #### Returns void

  Inherited from default.clearText

  - Defined in src/ui/message-ui-handler.ts:267

### clearTransfer

- clearTransfer(): void

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:1274

### destroy

- destroy(): void

  To be implemented by individual handlers when necessary to free memory Called when BattleScene is reset

  #### Returns void

  Inherited from default.destroy

  - Defined in src/ui/ui-handler.ts:69

### doRelease

- doRelease(slotIndex: number): void

  #### Parameters

  - slotIndex: number

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:1286

### eraseOptionsCursor

- eraseOptionsCursor(): void

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:1401

### getCursor

- getCursor(): number

  #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:40

### getFormChangeItemsModifiers

- getFormChangeItemsModifiers(pokemon: default ): PokemonFormChangeItemModifier []

  #### Parameters

  - pokemon: default

  #### Returns PokemonFormChangeItemModifier []

  - Defined in src/ui/party-ui-handler.ts:1353

### getOptionsCursorWithScroll

- getOptionsCursorWithScroll(): number

  #### Returns number

  - Defined in src/ui/party-ui-handler.ts:1378

### getReleaseMessage

- getReleaseMessage(pokemonName: string): string

  #### Parameters

  - pokemonName: string

  #### Returns string

  - Defined in src/ui/party-ui-handler.ts:1311

### getTextColor

- getTextColor(style: TextStyle , shadow?: boolean): string

  #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:36

### getUi

- getUi(): default

  #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:32

### initPromptSprite

- initPromptSprite(container: Container): void

  Add the sprite to be displayed at the end of messages with prompts

  #### Parameters

  - container: Container

    the container to add the sprite to

  #### Returns void

  Inherited from default.initPromptSprite

  - Defined in src/ui/message-ui-handler.ts:24

### initTutorialOverlay

- initTutorialOverlay(container: Container): void

  Create a semi transparent overlay that will get shown during tutorials

  #### Parameters

  - container: Container

    the container to add the overlay to

  #### Returns void

  Inherited from default.initTutorialOverlay

  - Defined in src/ui/awaitable-ui-handler.ts:33

### isTextAnimationInProgress

- isTextAnimationInProgress(): boolean

  #### Returns boolean

  Inherited from default.isTextAnimationInProgress

  - Defined in src/ui/message-ui-handler.ts:259

### populatePartySlots

- populatePartySlots(): void

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:845

### processInput

- processInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/party-ui-handler.ts:366

### processTutorialInput

- processTutorialInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:16

### setCursor

- setCursor(cursor: number): boolean

  #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/party-ui-handler.ts:869

### `Protected` setMouseCursorStyle

- setMouseCursorStyle(cursorStyle: "default" | "pointer"): void

  Changes the style of the mouse cursor.

  #### Parameters

  - cursorStyle: "default" | "pointer"

    cursor style to apply

  #### Returns void

  #### See

  https://developer.mozilla.org/en-US/docs/Web/CSS/cursor

  Inherited from default.setMouseCursorStyle

  - Defined in src/ui/ui-handler.ts:58

### setup

- setup(): void

  #### Returns void

  Overrides default.setup

  - Defined in src/ui/party-ui-handler.ts:266

### show

- show(args: any[]): boolean

  #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/party-ui-handler.ts:334

### showDialogue

- showDialogue(
  text: string,
  _name?: string,
  delay?: null | number,
  callback?: null | Function,
  callbackDelay?: null | number,
  prompt?: null | boolean,
  promptDelay?: null | number,
  ): void

  #### Parameters

  - text: string
  - `Optional`_name: string
  - `Optional` delay: null | number
  - `Optional` callback: null | Function
  - `Optional` callbackDelay: null | number
  - `Optional` prompt: null | boolean
  - `Optional` promptDelay: null | number

  #### Returns void

  Inherited from default.showDialogue

  - Defined in src/ui/message-ui-handler.ts:48

### showOptions

- showOptions(): void

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:955

### showPrompt

- showPrompt(callback?: null | Function, callbackDelay?: null | number): void

  #### Parameters

  - `Optional` callback: null | Function
  - `Optional` callbackDelay: null | number

  #### Returns void

  Inherited from default.showPrompt

  - Defined in src/ui/message-ui-handler.ts:222

### showText

- showText(
  text: string,
  delay?: null | number,
  callback?: null | Function,
  callbackDelay?: null | number,
  prompt?: null | boolean,
  promptDelay?: null | number,
  ): void

  #### Parameters

  - text: string
  - `Optional` delay: null | number
  - `Optional` callback: null | Function
  - `Optional` callbackDelay: null | number
  - `Optional` prompt: null | boolean
  - `Optional` promptDelay: null | number

  #### Returns void

  Overrides default.showText

  - Defined in src/ui/party-ui-handler.ts:932

### startTransfer

- startTransfer(): void

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:1265

### updateOptions

- updateOptions(): void

  #### Returns void

  - Defined in src/ui/party-ui-handler.ts:994

### `Static` FilterFainted

- FilterFainted(pokemon: PlayerPokemon ): null | string

  #### Parameters

  - pokemon: PlayerPokemon

  #### Returns null | string

  - Defined in src/ui/party-ui-handler.ts:203

### `Static` FilterItemMaxStacks

- FilterItemMaxStacks(
  pokemon: PlayerPokemon ,
  modifier: PokemonHeldItemModifier ,
  ): null | string

  #### Parameters

  - pokemon: PlayerPokemon
  - modifier: PokemonHeldItemModifier

  #### Returns null | string

  - Defined in src/ui/party-ui-handler.ts:230

### `Static` FilterNonFainted

- FilterNonFainted(pokemon: PlayerPokemon ): null | string

  #### Parameters

  - pokemon: PlayerPokemon

  #### Returns null | string

  - Defined in src/ui/party-ui-handler.ts:194